Subject: RE: Our local carrier
From: "Matheny, Cynthia L - Lansing, MI" <[email-masked]>
To: Michael B <[email-masked]>
Date: Fri, 19 May 2017 16:24:49 +0000

Good afternoon Mike,

I spoke with Amy Benson, Customer Service Supervisor at the Delta Station and she said you can request back-door delivery when the time comes.

Here is the information we discussed on the phone:

USPS(r) released PostalPro, a new website that replaces RIBBS
The new PostalPro<https://postalpro.usps.com/> website serves as an informational repository for all services, programs, and resources the USPS(r) offers. With a modern, user-friendly layout, you can quickly navigate the site to find the information you are looking for. On the landing page, you will find an advanced search bar that will guide you to the resources you need, as well as the most recently added content, so you are always aware of the latest information from USPS(r).

Please feel free to call whenever you need assistance. The U.S. Postal Service(r) appreciates your continued business and would like to thank you for your loyalty.

Thank you and have a great weekend.

Cynthia Matheny
Business Service Network Representative
888-276-1293
[email-masked]<mailto:[email-masked]>

From: Michael B [mailto:[email-masked]]
Sent: Tuesday, May 16, 2017 4:55 PM
To: Matheny, Cynthia L - Lansing, MI <[email-masked]>
Subject: Our local carrier

Hello Cynthia.
I am trying to find out who our local carrier is that delivers to the 6323 W. Saginaw Hwy., Ste. E, Lansing, MI 48917 (physical address). Is there any way I could be put in touch with them?
Thank you,
Michael Bishop
Labor Law Poster Service